Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QMessageBox.Icon

    java.lang.Object
      java.lang.Enum<QMessageBox.Icon>
          com.trolltech.qt.gui.QMessageBox.Icon

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QMessageBox.Icon>

Enclosing class:
  QMessageBox

    public static enum QMessageBox.Icon

extends java.lang.Enum<QMessageBox.Icon>
implements QtEnumerator

This enum has the following values.

Constant | Value | Description
--- | --- | ---
`NoIcon` | `0` | the message box does not have any icon.
`Question` | `4` | an icon indicating that the message is asking a question.
`Information` | `1` | an icon indicating that the message is nothing out of the ordinary.
`Warning` | `2` | an icon indicating that the message is a warning, but can be dealt with.
`Critical` | `3` | an icon indicating that the message represents a critical problem.

Enum Constant Summary
`Critical` an icon indicating that the message represents a critical problem.
`Information` an icon indicating that the message is nothing out of the ordinary.
`NoIcon` the message box does not have any icon.
`Question` an icon indicating that the message is asking a question.
`Warning` an icon indicating that the message is a warning, but can be dealt with.

Method Summary
`static QMessageBox.Icon` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QMessageBox.Icon` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QMessageBox.Icon[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoIcon

    public static final QMessageBox.Icon NoIcon

  the message box does not have any icon.

### Information

    public static final QMessageBox.Icon Information

  an icon indicating that the message is nothing out of the ordinary.

### Warning

    public static final QMessageBox.Icon Warning

  an icon indicating that the message is a warning, but can be dealt with.

### Critical

    public static final QMessageBox.Icon Critical

  an icon indicating that the message represents a critical problem.

### Question

    public static final QMessageBox.Icon Question

  an icon indicating that the message is asking a question.

Method Detail

### values

    public static final QMessageBox.Icon[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QMessageBox.Icon c : QMessageBox.Icon.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QMessageBox.Icon valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QMessageBox.Icon resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD